ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran" <stev...@iseran.com>
Subject Re: JDK 1.1 support
Date Thu, 13 Mar 2003 23:55:57 GMT

----- Original Message -----
From: "Conor MacNeill" <conor@cortexebusiness.com.au>
To: <dev@ant.apache.org>
Sent: Thursday, March 13, 2003 15:28
Subject: JDK 1.1 support


> I'd like to throw this up again. What are peoples thoughts on the
following
>
> 1. Make Ant 1.6.x the last JDK 1.1 release. This would be clearly
documented

+1. we spell it out and so nobody is surprised.

> 2. Make the subsequent release require JDK 1.2+ (what about leap frogging
to
> later versions?)

There isnt enough in base 1.3 to force a switch. Now 14, there is enough
there to merit the migration (assertions, much more in the base OS), but
there is no way we could move to java1.4 only

>
> 3. Name this subsequent release Ant 2.0 (due to its change in system
> requirements)

+1. It is time.

>
> 4. Drop all the Ant2 cruft from the website.

I think it should be preserved.

>
> Just as a data point, CVS HEAD (Ant 1.6) has not compiled against JDK 1.1
for
> a while now (due to diagnostics changes).

yes, that was my fault, wasnt it. File a bug against me :)


Mime
View raw message